# $Revision: 1.34 $, $Date: 2007-12-16 14:59:57 $
Summary:	Scheme library
Summary(pl.UTF-8):	Biblioteka Scheme
Name:		slib
Version:	3a5
Release:	1
License:	distributable (BSD and Public Domain parts)
Group:		Development/Languages/Scheme
Source0:	ftp://ftp-swiss.ai.mit.edu/pub/scm/%{name}%{version}.tar.gz
# Source0-md5:	eaa9be13722c5e16879bd33e0763246f
Patch0:		%{name}-info.patch
URL:		http://www-swiss.ai.mit.edu/~jaffer/SLIB.html
BuildRequires:	texinfo
Requires(post):	/usr/bin/guile
Requires:	guile >= 5:1.8
Requires:	guile < 5:1.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SLIB is a portable scheme library meant to provide compatibility and
utility functions for all standard scheme implementations. Slib
conforms to Revised^5 Report on the Algorithmic Language Scheme and
the IEEE P1178 specification.

%description -l pl.UTF-8
SLIB jest przenośną biblioteką scheme mającą zapewnić kompatybilność i
funkcje użytkowe dla wszystkich implementacji scheme. SLIB jest zgodne
ze specyfikacją Revised^5 Report on the Algorithmic Language Scheme
oraz IEEE P1178.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_datadir}/guile/slib,%{_bindir},%{_mandir}/man1}
install *.scm $RPM_BUILD_ROOT%{_datadir}/guile/slib
sed -e 's,/usr/lib/slib/,%{_datadir}/guile/slib/,' guile.init > $RPM_BUILD_ROOT%{_datadir}/guile/slib/guile.init
cat > $RPM_BUILD_ROOT%{_bindir}/slib <<EOF
#!/bin/sh
SCHEME_LIBRARY_PATH=%{_datadir}/guile/slib/
EOF
cat slib.sh >>$RPM_BUILD_ROOT%{_bindir}/slib
install slib.1 $RPM_BUILD_ROOT%{_mandir}/man1
install slib.info $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
umask 022
rm -f %{_datadir}/guile/slibcat
/usr/bin/guile -l %{_datadir}/guile/slib/guile.init -c "(use-modules (ice-9 slib)) (require 'new-catalog)"

%preun
if [ "$1" = "0" ]; then
	rm -f %{_datadir}/guile/1.8/slibcat
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc ANNOUNCE COPYING ChangeLog FAQ README *.init
%attr(755,root,root) %{_bindir}/slib
%{_datadir}/guile/slib
%{_mandir}/man1/slib.1*
%{_infodir}/slib.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: slib.spec,v $
Revision 1.34  2007-12-16 14:59:57  qboosh
- updated to 3a5
- updated info patch to use guile-specific dircategory
- fixed License information, include COPYING
- restored proper post, no longer fails

Revision 1.33  2007-02-12 22:09:15  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.31  2006/12/30 00:05:37  qboosh
- updated to 3a4, updated info patch
- updated slibcat path for guile 1.8, install slib script

Revision 1.30  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.29  2004/12/20 18:58:09  qboosh
- BR: texinfo

Revision 1.28  2004/08/31 00:25:55  undefine
- release 2

Revision 1.27  2003/12/14 18:04:38  qboosh
- updated to 3a1

Revision 1.26  2003/09/03 14:44:07  grzegol
- updated to 2d6

Revision 1.25  2003/05/26 16:25:52  malekith
- massive attack: adding Source-md5

Revision 1.24  2003/05/25 06:26:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/05/09 21:25:31  qboosh
- updated to 2d5

Revision 1.22  2002/11/29 22:46:35  ankry
- massive attack: new %%doc

Revision 1.21  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:14:55  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/09/18 22:55:48  qboosh
- fixed %%prep, simplified %%doc, added pl translations
- release 4

Revision 1.17  2001/08/14 19:05:25  mkochano
- Release 3.
- Added chmod 644 /usr/share/guile/slibcat to %%post --- it must be
  readable to everybody on systems with umask more restrictive than 022.

Revision 1.16  2001/08/12 19:27:06  blues
- Release 2
- changed building directory

Revision 1.15  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.13  2000/10/25 04:16:40  kloczek
- updated to 2c9,
- added info patch with index entries justifications and other fixes,
- use new rpm automation.

Revision 1.12  2000/07/25 10:45:04  kloczek
- updated to 2c8.

Revision 1.11  2000/06/26 22:06:10  bszx
 - slib looks for itself in guile/slib by default so SCHEME_LIBRARY_PATH
   isn't needed

Revision 1.10  2000/06/21 13:56:02  kloczek
- release 2,
- cosmetic changes.

Revision 1.9  2000/06/20 12:51:20  mis
- fix: fix-info-dir call is moved from %preun to the right section, %postun

Revision 1.8  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.7  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.6  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.4  2000/03/25 16:07:11  kloczek
- added "rm -rf $RPM_BUILD_ROOT" on top %install,
- cosmetics.

Revision 1.3  2000/03/24 22:20:02  bszx
- added postinstall script which creates slibcat

Revision 1.2  2000/03/06 18:45:13  bszx
- sources in .zip

Revision 1.1  2000/03/05 22:44:05  bszx
- updated to 2c7 and changed for PLD

* Fri Nov 20 1998 W. L. Estes <wlestes@uncg.edu>
- update to 2c4

* Fri Oct 30 1998 W. L. Estes <wlestes@uncg.edu>
- update to 2c3
- patch slib.texi by removing offending @includes
- use defattr in filelist
- relocateable

* Wed Jan 21 1998 Jason Gilbert <jason@scott.net>
- updated to use a BuildRoot
- uses install-info
- changed to noarch
